# KOBJ
#
# Copyright (c) 2001 Orion Hodson <orion@freebsd.org>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $FreeBSD: src/sys/dev/sound/pcm/ac97_if.m,v 1.2 2001/03/05 16:42:06 cg Exp $
#

#include <dev/sound/pcm/sound.h>

INTERFACE sb16mixer;

CODE {
	static u_int32_t
	sb16mixer_noinit(kobj_t obj)
	{
		return 1;
	}

	static char *
	sb16mixer_nogetname(kobj_t obj)
	{
		return "sb16mixer";
	}
};

# optional methods
METHOD u_int32_t init {
	kobj_t obj;
} DEFAULT sb16mixer_noinit;

METHOD char * getname {
	kobj_t obj;
} DEFAULT sb16mixer_nogetname;

# mandatory methods
METHOD u_int8_t read {
	kobj_t obj;
	u_int8_t regno;
};

METHOD int write {
	kobj_t obj;
	u_int8_t regno;
	u_int8_t data;
};


